Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_TypeCode_var Class Reference

A smart pointer for TypeCodes. More...

`#include <Typecode.h>`

Collaboration diagram for CORBA_TypeCode_var:

[legend]
List of all members.

## Public Methods
| CORBA_TypeCode_var (void)
| CORBA_TypeCode_var (CORBA_TypeCode_ptr)
| CORBA_TypeCode_var (const CORBA_TypeCode_var &)
| ~CORBA_TypeCode_var (void)
CORBA_TypeCode_var & | operator= (CORBA_TypeCode_ptr)
CORBA_TypeCode_var & | operator= (const CORBA_TypeCode_var &)
CORBA_TypeCode_ptr | operator-> (void) const
| operator const CORBA_TypeCode_ptr & () const
| in, inout, out, _retn. More...
| operator CORBA_TypeCode_ptr & ()
CORBA_TypeCode_ptr | in (void) const
CORBA_TypeCode_ptr & | inout (void)
CORBA_TypeCode_ptr & | out (void)
CORBA_TypeCode_ptr | _retn (void)
CORBA_TypeCode_ptr | ptr (void) const
## Private Attributes
CORBA_TypeCode_ptr | ptr_

## Detailed Description

A smart pointer for TypeCodes.

Implements the _var class for the TypeCode pseudo object.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_TypeCode_var::CORBA_TypeCode_var | ( | void |  | ) |

ACE_INLINE CORBA_TypeCode_var::CORBA_TypeCode_var | ( | CORBA_TypeCode_ptr | p | ) |

ACE_INLINE CORBA_TypeCode_var::CORBA_TypeCode_var | ( | const CORBA_TypeCode_var & | p | ) |

ACE_INLINE CORBA_TypeCode_var::~CORBA_TypeCode_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_TypeCode_ptr CORBA_TypeCode_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA_TypeCode_ptr CORBA_TypeCode_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_TypeCode_ptr & CORBA_TypeCode_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_TypeCode_var::operator const CORBA_TypeCode_ptr & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_TypeCode_var::operator CORBA_TypeCode_ptr & | ( |  | ) |

ACE_INLINE CORBA_TypeCode_ptr CORBA_TypeCode_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_TypeCode_var & CORBA_TypeCode_var::operator= | ( | const CORBA_TypeCode_var & | p | ) |

ACE_INLINE CORBA_TypeCode_var & CORBA_TypeCode_var::operator= | ( | CORBA_TypeCode_ptr | p | ) |

ACE_INLINE CORBA_TypeCode_ptr & CORBA_TypeCode_var::out | ( | void |  | ) |

ACE_INLINE CORBA_TypeCode_ptr CORBA_TypeCode_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_TypeCode_ptr CORBA_TypeCode_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Typecode.h
- Typecode.i